View Issue Details

IDProjectCategoryView StatusLast Update
0014848LazarusLCLpublic2011-12-01 11:24
ReporterEnigmaAssigned ToPaul Ishenin 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
PlatformWindowsOSx64OS VersionVista
Product VersionProduct BuildAny 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0014848: Icon assignment does not work
DescriptionJust trying to put TImage on the form and on page show I assign system icon to this TImage, the code is quite simple:
TImage.Picture.Icon.Handle := LoadIcon(0, IDI_ERROR);
or
TImage.Picture.Icon.Handle := LoadIcon(0, IDI_APPLICATION);
or
TImage.Picture.Icon.Handle := LoadIcon(0, IDI_QUESTION);
or
TImage.Picture.Icon.Handle := ExtractAssociatedIcon(...);

TImage keeps empty... But same code is working well in Delphi..

Maybe there is another way to show system icons on the TImage?
TagsNo tags attached.
Fixed in Revision
LazTarget1.0
Widgetset
Attached Files

Activities

Enigma

2010-07-22 11:20

reporter   ~0039587

This issue is solved in the latest version. Please update the tracker!

Zeljan Rikalo

2010-07-22 14:39

developer   ~0039596

Can you write in what lazarus version this is fixed please ?

Paul Ishenin

2010-07-22 16:05

manager   ~0039599

in 0.9.29

Issue History

Date Modified Username Field Change
2009-10-19 11:58 Enigma New Issue
2009-10-19 12:41 Jonas Maebe Project FPC => Lazarus
2009-10-20 21:19 Vincent Snijders LazTarget => -
2009-10-20 21:19 Vincent Snijders Category FCL => LCL
2009-10-20 21:19 Vincent Snijders Product Version 2.5.1 =>
2009-10-20 22:18 Vincent Snijders LazTarget - => 1.0
2009-10-20 22:18 Vincent Snijders Status new => acknowledged
2009-10-20 22:18 Vincent Snijders Target Version => 1.0.0
2010-07-22 11:20 Enigma Note Added: 0039587
2010-07-22 14:39 Zeljan Rikalo Note Added: 0039596
2010-07-22 14:39 Zeljan Rikalo Status acknowledged => feedback
2010-07-22 16:05 Paul Ishenin Status feedback => resolved
2010-07-22 16:05 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-07-22 16:05 Paul Ishenin Resolution open => fixed
2010-07-22 16:05 Paul Ishenin Assigned To => Paul Ishenin
2010-07-22 16:05 Paul Ishenin Note Added: 0039599
2011-12-01 11:24 Marc Weustink Status resolved => closed